ServerEvents.recipes(e=> {
    //电子管 
  e.remove({ output: 'create:electron_tube'})
    
    let l = 3;
    let t = 'immersiveengineering:component_electronic'
    let r = 'minecraft:redstone'
    e.recipes.createSequencedAssembly([
    Item.of(l + 'x create:electron_tube').withChance(82.0),
    Item.of(l + 'x ' + t).withChance(7.0),
    Item.of(l + 'x ' + r).withChance(4.0),
  ], t, [
    e.recipes.createFilling(t, [t, Fluid.of("nwtc:rose_quartz", 50)]),
    e.recipes.createCutting(t, t).processingTime(50),
    e.recipes.createDeploying(t, [t, r]),
    e.recipes.createFilling(t, [t, Fluid.of("minecraft:water", 200)]),
    e.recipes.createPressing(t, t).processingTime(30),
  ]).transitionalItem(t).loops(l)

    //精密构件 
    e.remove({ output: 'create:precision_mechanism'})
    let pm = 'create:precision_mechanism'
    let gp = '#forge:plates/gold'
    let ipm = 'create:incomplete_precision_mechanism'
    e.recipes.createSequencedAssembly([
      Item.of(1 + 'x ' + pm).withChance(62.0),
      Item.of(l + 'x ' + pm).withChance(4.0),
      Item.of(l + 'x ' + r).withChance(8.0),
    ], gp, [
      e.recipes.createFilling(ipm, [ipm, Fluid.of("nwtc:rose_quartz", 50)]),
      e.recipes.createCutting(ipm, ipm).processingTime(50),
      e.recipes.createDeploying(ipm, [ipm, 'create:andesite_alloy']),
      e.recipes.createFilling(ipm, [ipm, Fluid.of("minecraft:lava", 100)]),
      e.recipes.createPressing(ipm, ipm).processingTime(30),
    ]).transitionalItem(ipm).loops(l)

  







})
